Bug 16403 - Fix Holds.t (tests 9 and 39)
Summary: Fix Holds.t (tests 9 and 39)
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Galen Charlton
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-04-30 12:41 UTC by Marcel de Rooy
Modified: 2016-12-05 21:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16403: Fix holds.t (tests 9 and 39) (1.17 KB, patch)
2016-04-30 12:44 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 16403: Fix holds.t (tests 9 and 39) (1.26 KB, patch)
2016-04-30 13:04 UTC, Marc Véron
Details | Diff | Splinter Review
Bug 16403: Fix holds.t (tests 9 and 39) (1.33 KB, patch)
2016-05-02 09:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16403: Remove unnecessary undef param (918 bytes, patch)
2016-05-02 09:32 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2016-04-30 12:41:30 UTC
#   Failed test 'GetReservesFromItemnumber should return a valid borrowernumber'
#   at t/db_dependent/Holds.t line 97.
#          got: '2000001890'
#     expected: '2000001889'
AddReserve: borrower 2000001889 already has a hold for biblionumber 2145396087 at t/db_dependent/Holds.t line 174

#   Failed test 'Test AlterPriority(), move to bottom'
#   at t/db_dependent/Holds.t line 220.
#          got: '4'
#     expected: '5'
# Looks like you failed 2 tests of 60.
Comment 1 Marcel de Rooy 2016-04-30 12:44:13 UTC Comment hidden (obsolete)
Comment 2 Marc Véron 2016-04-30 13:04:18 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2016-04-30 13:11:02 UTC
(In reply to Marc Véron from comment #2)
> Signed-off-by: Marc Véron <veron@veron.ch>

Thx Marc for this fast signoff
Comment 4 Jonathan Druart 2016-05-02 09:31:56 UTC
Created attachment 51073 [details] [review]
Bug 16403: Fix holds.t (tests 9 and 39)

Resolves this:

Failed test 'GetReservesFromItemnumber should return a valid borrowernumber'
at t/db_dependent/Holds.t line 97.
          got: '2000001890'
     expected: '2000001889'
Failed test 'Test AlterPriority(), move to bottom'
at t/db_dependent/Holds.t line 220.
          got: '4'
     expected: '5'

Test plan:
Run the test before and after applying this patch.

Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 5 Jonathan Druart 2016-05-02 09:32:00 UTC
Created attachment 51074 [details] [review]
Bug 16403: Remove unnecessary undef param

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Marcel de Rooy 2016-05-02 10:36:34 UTC
(In reply to Jonathan Druart from comment #5)
> Created attachment 51074 [details] [review] [review]
> Bug 16403: Remove unnecessary undef param
> 
> Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>

I explicitly added the undef to *show* that the date is not defined
Comment 7 Kyle M Hall 2016-05-03 15:26:31 UTC
Pushed to master for Koha 16.05. Thanks Marcel and Jonathan!
Comment 8 Julian Maurice 2016-05-16 08:58:20 UTC
Not needed in stable versions, status changed to RESOLVED